## ros-bouncy-rclpy 0.5.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(rclpy C)

# Default to C11
if(NOT CMAKE_C_STANDARD)
  set(CMAKE_C_STANDARD 11)
endif()
if(CMAKE_COMPILER_IS_GNUCC OR CMAKE_C_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra)
endif()

find_package(ament_cmake REQUIRED)
find_package(ament_cmake_python REQUIRED)
find_package(rcl REQUIRED)
find_package(rcutils REQUIRED)
find_package(rmw REQUIRED)
find_package(rmw_implementation_cmake REQUIRED)

find_package(python_cmake_module REQUIRED)
find_package(PythonExtra MODULE REQUIRED)

set(_PYTHON_EXECUTABLE "${PYTHON_EXECUTABLE}")

if(WIN32 AND CMAKE_BUILD_TYPE STREQUAL "Debug")
  set(PYTHON_EXECUTABLE "${PYTHON_EXECUTABLE_DEBUG}")
endif()

# enables using the Python extensions from the build space for testing
file(WRITE "${CMAKE_CURRENT_BINARY_DIR}/test_rclpy/__init__.py" "")

ament_python_install_package(${PROJECT_NAME})

function(set_properties _targetname _build_type)
  set_target_properties(${_targetname} PROPERTIES
    PREFIX ""
    LIBRARY_OUTPUT_DIRECTORY${_build_type} "${CMAKE_CURRENT_BINARY_DIR}/test_${PROJECT_NAME}"
    RUNTIME_OUTPUT_DIRECTORY${_build_type} "${CMAKE_CURRENT_BINARY_DIR}/test_${PROJECT_NAME}"
    OUTPUT_NAME "_${_targetname}${PythonExtra_EXTENSION_SUFFIX}"
    SUFFIX "${PythonExtra_EXTENSION_EXTENSION}")
endfunction()

# Only build the library if a C typesupport exists
get_rmw_typesupport(typesupport_impls "rmw_implementation" LANGUAGE "c")
if(typesupport_impls STREQUAL "")
  message(STATUS "Skipping rclpy because no C typesupport library was found.")
  return()
endif()

function(configure_python_c_extension_library _library_name)
  set_properties(${_library_name} "")
  if(WIN32)
    set_properties(${_library_name} "_DEBUG")
    set_properties(${_library_name} "_MINSIZEREL")
    set_properties(${_library_name} "_RELEASE")
    set_properties(${_library_name} "_RELWITHDEBINFO")
  endif()

  target_link_libraries(${_library_name}
    ${PythonExtra_LIBRARIES}
  )

  target_include_directories(${_library_name}
    PUBLIC
    ${PythonExtra_INCLUDE_DIRS}
  )

  install(TARGETS ${_library_name}
    DESTINATION "${PYTHON_INSTALL_DIR}/${PROJECT_NAME}"
  )
endfunction()

add_library(
  rclpy
  SHARED src/rclpy/_rclpy.c
)
configure_python_c_extension_library(rclpy)
ament_target_dependencies(rclpy
  "rcl"
  "rcutils"
)

# Logging support provided by rcutils
add_library(
  rclpy_logging
  SHARED src/rclpy/_rclpy_logging.c
)
configure_python_c_extension_library(rclpy_logging)
ament_target_dependencies(rclpy_logging
  "rcutils"
)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()

  find_package(ament_cmake_pytest REQUIRED)

  rosidl_generator_py_get_typesupports(_typesupport_impls)
  ament_index_get_prefix_path(ament_index_build_path SKIP_AMENT_PREFIX_PATH)
  # Get the first item (it will be the build space version of the build path).
  list(GET ament_index_build_path 0 ament_index_build_path)
  if(WIN32)
    # On Windows prevent CMake errors and prevent it being evaluated as a list.
    string(REPLACE "\\" "/" ament_index_build_path "${ament_index_build_path}")
  endif()
  if(NOT _typesupport_impls STREQUAL "")
    ament_add_pytest_test(rclpytests test
      PYTHON_EXECUTABLE "${PYTHON_EXECUTABLE}"
      APPEND_ENV AMENT_PREFIX_PATH=${ament_index_build_path}
        PYTHONPATH=${CMAKE_CURRENT_BINARY_DIR}
      TIMEOUT 200
    )
  endif()
endif()
set(PYTHON_EXECUTABLE "${_PYTHON_EXECUTABLE}")

ament_package()

=== debian/changelog ===
ros-bouncy-rclpy (0.5.4-0bionic) bionic; urgency=high

  * Fix executor.remove_node() (#217 <https://github.com/ros2/rclpy/issues/217>)
  * executor.add_node() returns a bool (#216 <https://github.com/ros2/rclpy/issues/216>)
  * Contributors: Mikael Arguedas, Shane Loretz

 -- William Woodall <william@osrfoundation.org>  Wed, 22 Aug 2018 07:00:00 -0000

ros-bouncy-rclpy (0.5.3-0bionic) bionic; urgency=high

  * use test_msgs instead of std_msgs (#204 <https://github.com/ros2/rclpy/issues/204>)
  * Fixes memory leaks for nested fields (#203 <https://github.com/ros2/rclpy/issues/203>)
    This separates memory allocation out from convert_from_py function.
    Now it uses separate create_message function to allocate message,
    making it explicit gives better control where and how memory is
    allocated and freed.
  * Contributors: Martins Mozeiko, Mikael Arguedas

 -- William Woodall <william@osrfoundation.org>  Tue, 17 Jul 2018 07:00:00 -0000

ros-bouncy-rclpy (0.5.1-0bionic) bionic; urgency=high

  * Changed the maintainer to be William Woodall. (#196 <https://github.com/ros2/rclpy/issues/196>)
  * Contributors: William Woodall

 -- William Woodall <william@osrfoundation.org>  Wed, 27 Jun 2018 07:00:00 -0000

ros-bouncy-rclpy (0.5.0-0bionic) bionic; urgency=high

  * Changed the rclpy signal handler so that it is registered in ``rclpy_init()`` rather than in each wait. (#194 <https://github.com/ros2/rclpy/issues/194>)
  * Changed the signal handler in rclpy to call the original signal handler when receiving SIGINT during a wait on a wait set. (#191 <https://github.com/ros2/rclpy/issues/191>)
  * Added API for counting the number of publishers and subscribers on a topic. (#183 <https://github.com/ros2/rclpy/issues/183>)
  * Updated Node interface so it can use the command line arguments and can optionally ignore global arguments. (#185 <https://github.com/ros2/rclpy/issues/185>)
  * Changed the ``rclpy.spin*()`` functions to use a persistent executor. (#176 <https://github.com/ros2/rclpy/issues/176>)
  * Fixed a bug related to zero-initialization. (#182 <https://github.com/ros2/rclpy/issues/182>)
  * Added code to handle node names which are ``nullptr``. (#177 <https://github.com/ros2/rclpy/issues/177>)
  * Refactored client class so that it can handle multiple requests. (#170 <https://github.com/ros2/rclpy/issues/170>)
  * Fixed ``rclpy_init()`` so that it actually passes command line arguments to ``rcl_init()`` (#179 <https://github.com/ros2/rclpy/issues/179>)
  * Changed logging to get the node's logger name from rcl. (#174 <https://github.com/ros2/rclpy/issues/174>)
  * Fixed a bug where ``rclpy_take_response()`` was ignoring the sequence number. (#171 <https://github.com/ros2/rclpy/issues/171>)
  * Added support for Futures and coroutines in the executor. (#166 <https://github.com/ros2/rclpy/issues/166>)
  * Updated code to match API change needed to avoid accidental nullptr dereference. (#157 <https://github.com/ros2/rclpy/issues/157>)
    * Signed-off-by: Ethan Gao <mailto:ethan.gao@linux.intel.com>
  * Added a sleep to workaround race condition in MultiThreadedExecutor test. (#168 <https://github.com/ros2/rclpy/issues/168>)
  * Disable 1kHz timer tests on the ARM architectures. (#169 <https://github.com/ros2/rclpy/issues/169>)
  * Contributors: Dirk Thomas, Ethan Gao, Michael Carroll, Mikael Arguedas, Nick Medveditskov, Shane Loretz, Tully Foote, William Woodall, dhood

 -- Esteve Fernandez <esteve@osrfoundation.org>  Mon, 25 Jun 2018 07:00:00 -0000

=== debian/control ===
Source: ros-bouncy-rclpy
Section: misc
Priority: extra
Maintainer: William Woodall <william@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-bouncy-ament-cmake, ros-bouncy-ament-cmake-pytest, ros-bouncy-ament-lint-auto, ros-bouncy-ament-lint-common, ros-bouncy-python-cmake-module, ros-bouncy-rcl, ros-bouncy-rcl-interfaces, ros-bouncy-rcutils, ros-bouncy-rmw-implementation, ros-bouncy-rmw-implementation-cmake, ros-bouncy-rosidl-generator-py, ros-bouncy-test-msgs, ros-bouncy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-bouncy-rclpy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-bouncy-ament-index-python, ros-bouncy-rcl, ros-bouncy-rmw-implementation, ros-bouncy-ros-workspace
Description: Package containing the Python client.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/bouncy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/bouncy/setup.sh" ]; then . "/opt/ros/bouncy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/bouncy" \
		-DAMENT_PREFIX_PATH="/opt/ros/bouncy"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/bouncy/setup.sh" ]; then . "/opt/ros/bouncy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/bouncy/setup.sh" ]; then . "/opt/ros/bouncy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/bouncy/setup.sh" ]; then . "/opt/ros/bouncy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-bouncy-rclpy//opt/ros/bouncy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/bouncy/setup.sh" ]; then . "/opt/ros/bouncy/setup.sh"; fi && \
	dh_auto_install
